Subject: Re: Last day of commitfest

From: Greg Stark <[email-masked]>
Date: Wed, 6 Apr 2022 21:32:31 -0400

I won't touch the Ready for Committer stuff until after the end of the
commitfest anyways. I did put those two in that state already.

Right now I'm trying to get a bit ahead of the game by going through
the "Waiting on Author" patches. The documented process[*] is that
they get Returned with Feedback if they received at least one review
and haven't had any discussion from the author in 5 days. I haven't
been doing that but I'm saying I'm going to today.

However I didn't get through the list today. I'll do it tomorrow.

The first batch of patches that will be Returned with Feedback are
listed below. If you're an author of these and you're still looking
for feedback then I would suggest sending an email describing the
feedback you're looking for and moving it forward to the next CF
yourself before I mark them Returned with Feedback tomorrow.

* Single item cache for Subtrans SLRU (Simon Riggs)
 Received feedback from Julien Rouhaud and Andrey Borodin

* JIT counters in pg_stat_statements (Magnus Hagander)
 Feedback from Dmitry Dolgov and Julien Rouhaud

* Consider incremental sort for fractional paths in
generate_orderappend_paths (Tomas Vondra)
  Feedback from Arne Roland

* Partial aggregates push down
  Feedback from Tomas Vondra, needs more feedback

* Issue a log message when the backtrace logged is cut off
  Discussion died 2022-03-22
  Was this committed? Will it be?

* Use -fvisibility=hidden for shared libraries (Andres Freund)
  Feedback from Tom Lane, Justin Pryzby

* pg_dump new feature: exporting functions only. Bad or good idea ?
(Lætitia Avrot)
  Feedback from all quarters

There are also these which don't seem to have received feedback. I
guess we're just moving them forward but if the authors are happy with
the feedback they have they could mark them Returned with Feedback
themselves.

* Add connection active, idle time to pg_stat_activity (Rafia Sabih,
Sergey Dudoladov)
  No significant feedback
* WIN32 pg_import_system_collations (Juanjo Sntamaria Flecha)
  No significant feedback since v4 January 25
* Teach WaitEventSets to grow automatically
  No significant feedback
* postgres_fdw - use TABLESAMPLE when analyzing foreign tables
  No significant feedback
* pg_stat_statements and "IN" conditions (Dmitry Dolgov)
  Feedback earlier but none since latest revision 2022-03-26
* Parallelize correlated subqueries that execute within each worker
(James Coleman)
  It doesn't look like the concerns the author raised were ever
addressed by a reviewer

[*]https://wiki.postgresql.org/wiki/CommitFest_Checklist

---

From: Julien Rouhaud <[email-masked]>
Date: Thu, 7 Apr 2022 09:58:52 +0800

Hi,

> been doing that but I'm saying I'm going to today.

FWIW I think that this 5 days threshold before closing a patch with RwF is way
too short.  As far as I know we usually use something like 2/3 weeks.

>  Received feedback from Julien Rouhaud and Andrey Borodin

I think that this patch is actually Ready For Committer given Andrey's review
and Simon's answer, I only realize now that neither Andrey or Simon changed the
status.  The only remaining nitpicking thing is the variable cache name and
over 80 chars comment, which is the kind of thing that a committer can tweak at
commit time anyway I think.  I'm not sure if anyone is going to pick it up now
but it seems uncontroversial and useful enough to be moved to the next
commitfest.

>  Feedback from Dmitry Dolgov and Julien Rouhaud

Note that the code looks good and no one disagreed with the proposed fields.

The only remaining problem is a copy/pasto in the docs so nothing critical.  I
personally think that it would be very good to have so maybe Magnus will push
it today (which would probably instantly break the other pg_stat_statements
patches that are now Ready for Committer), and if not I think it should go to
the next commitfest instead.

---

From: Greg Stark <[email-masked]>
Date: Thu, 7 Apr 2022 17:53:43 -0400

> too short.  As far as I know we usually use something like 2/3 weeks.

Yeah, I haven't been enforcing a timeout like that during the
commitfest. But now that we're at the end...

-- 
greg